Delete token

Delete or expire token generated by MFA OTP or password validation APIs.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Using this API, you can delete the token generated by mfa/otp/validate or /mfa/password/validate. Deleting the token after the MFA flow, while the session is still valid, ensures safety.

Example cURL request

curl --location --request DELETE 'https://eu.api.capillarytech.com/auth/v1/mfa/token/expire' \
--header 'Content-Type: application/json' \
--header 'Cookie: _cfuvid=3f4QQnAFshdPPv1AGd9O_ZN2Kl6uuMuIprY_vy4hMa0-1717133572568-0.0.1.1-604800000' \
--data '{
    "brand":"Bukl",
    "deviceId":"1234",
    "token":"eyJpZHYiOlsiTU9CSUxFfDE4NzY3NDMxNzU0Il0sImRldiI6IjEyMzQiLCJvcmciOiJCVUtMIiwiYWxnIjoiSFMyNTYifQ.eyJ1aWQiOiIxNzgwNzc2IiwiaXNzIjoiQ0FQSUxMQVJZIFRFQ0hOT0xPR0dJRSIsImlzYyI6ImZhbHNlIiwib2djIjpbIjEwMDQ1OHxidWtsLmluZC5zb2x1dGlvbiJdLCJleHAiOjE3MTcxMzQ1ODEsImlhdCI6MTcxNzEzMzY4MSwicm9sIjoiVVNFUiJ9.noFciro35BOSsSipH4XnS9V57A3xgKpwB2Gttg8s4vs",
    "identifierType":"MOBILE",
    "identifierValue":"18767431754"
}'

Resource information

URIauth/v1/mfa/token/expire
HTTP methodPOST
Pagination supported?NA
Rate limitNA
Batch supportNA

Request body parameters

(Parameters marked with * are mandatory)Data TypeDescription
brand*StringBrand or organisation for which the token is generated.
deviceId*StringUnique ID of the device that generated the MFA token.
token*StringToken generated by mfa/otp/validateor/mfa/password/validate.
identifierType*StringType of identifier to identify the customer. Value: MOBILE, EMAIL, USERNAME, EXTERNALID
identifierValue*StringValue of the identifier.

Response parameters

ParameterDatatypeDescription
statusobjectObject containing status information.
  • success
booleanBoolean indicating the status of the request.
  • code
integerHTTP status code indicating the result. Example: 200 indicates success.
  • message
stringMessage describing the status of the request.

{
    "status": {
        "success": true,
        "code": 200,
        "message": "Token expired successfully"
    }
}
Body Params
string
required

Brand or organisation for which the token is generated.

string
required

Unique ID of the device that generated the MFA token.

string
required

Token generated by mfa/otp/validateor/mfa/password/validate.

string
enum
required

Type of identifier to identify the customer.

Allowed:
string
required

Value of the identifier.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json